org.apache.hc.client5.http.auth

## Class KerberosConfig.Builder

- java.lang.Object
- - org.apache.hc.client5.http.auth.KerberosConfig.Builder

Enclosing class:
  KerberosConfig

    public static class KerberosConfig.Builder
    extends Object

### Method Summary

All Methods Instance Methods Concrete Methods
`KerberosConfig` `build()`
`KerberosConfig.Builder` `setRequestDelegCreds(KerberosConfig.Option requestDelegCreds)`
`KerberosConfig.Builder` `setStripPort(boolean stripPort)`
`KerberosConfig.Builder` `setStripPort(KerberosConfig.Option stripPort)`
`KerberosConfig.Builder` `setUseCanonicalHostname(boolean useCanonicalHostname)`
`KerberosConfig.Builder` `setUseCanonicalHostname(KerberosConfig.Option useCanonicalHostname)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### setStripPort

    public KerberosConfig.Builder setStripPort(KerberosConfig.Option stripPort)

#### setStripPort

    public KerberosConfig.Builder setStripPort(boolean stripPort)

#### setUseCanonicalHostname

    public KerberosConfig.Builder setUseCanonicalHostname(KerberosConfig.Option useCanonicalHostname)

#### setUseCanonicalHostname

    public KerberosConfig.Builder setUseCanonicalHostname(boolean useCanonicalHostname)

#### setRequestDelegCreds

    public KerberosConfig.Builder setRequestDelegCreds(KerberosConfig.Option requestDelegCreds)

#### build

    public KerberosConfig build()